Bug 730003 - ERROR: Command failed: file:///var/cache/retrace-server/fedora-16-x86_64/repodata/repomd.xml: [Errno 14] Could not open/read file:///var/cache/retrace-server/fedora-16-x86_64/repodata/repomd.xml
Summary: ERROR: Command failed: file:///var/cache/retrace-server/fedora-16-x86_64/repo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: retrace-server
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 14:04 UTC by Michal Nowak
Modified: 2015-03-23 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-04 08:07:37 UTC


Attachments (Terms of Use)

Description Michal Nowak 2011-08-11 14:04:49 UTC
Description of problem:

Mock in Retrace Server was unable to fetch some file related to Fedora 16 release but it failed. If it's too early to use RS against F16, RS should deny processing the core.



--- Running analyze_xsession_errors ---
Element 'xsession_errors' saved

--- Running analyze_RetraceServer ---
Querying server settings
Preparing an archive to upload
Uploading 1201340 bytes
Uploading 68%
Upload successful
Retrace job started
Retrace job failed
Analyzing crash data OK
Initializing virtual root Error 25:
=== OUTPUT ===
INFO: mock.py version 1.1.11 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
State Changed: lock buildroot
State Changed: clean
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.11
INFO: Mock Version: 1.1.11
State Changed: running yum
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/480740211/root/', '--skip-broken', 'install', 'sushi-0.0.5-1.fc16', 'shadow-utils', 'gdb', 'rpm', '--setopt=tsflags=nocontexts']
Ignored option -c (probably due to merging -yc != -y -c)
file:///var/cache/retrace-server/fedora-16-x86_64/repodata/repomd.xml: [Errno 14] Could not open/read file:///var/cache/retrace-server/fedora-16-x86_64/repodata/repomd.xml
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please verify its path and try again



(exited with 1)



Version-Release number of selected component (if applicable):

The default one running in fedoraproject.org domain.

Comment 1 Michal Nowak 2011-08-30 09:11:05 UTC
As of now, the output I get if far better: "Release 'XXX' not supported".

Can it be possible to enhance it, so I don't have to upload the core file before I realize the OS is not supported yet?

Comment 2 Michal Toman 2011-08-30 10:13:41 UTC
This is already fixed in ABRT git (commit bfe840c80b0fd72198d8793ebfbed9b71b95175e)


Note You need to log in before you can comment on or make changes to this bug.